Developers
V1DirectoryPartnersTenantid

Approved public partner profile, outlets and catalogue

GET
/v1/directory/partners/{tenantId}

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/directory/partners/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "definition": {    "displayName": "string",    "category": "clinic",    "description": "",    "publicPhone": "",    "website": "",    "outlets": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "address": "string",        "area": "string",        "phone": "",        "openingHours": ""      }    ],    "catalog": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "kind": "product",        "title": "string",        "description": "",        "regularPriceMinor": 0,        "outletIds": []      }    ]  }}